JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.overlay
Class ConsistentPolygonRingChecker

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.ConsistentPolygonRingChecker

    public class ConsistentPolygonRingChecker

extends java.lang.Object

Tests whether the polygon rings in a `GeometryGraph` are consistent. Used for checking if Topology errors are present after noding.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`ConsistentPolygonRingChecker(PlanarGraph graph)`

Method Summary
`void` `check(int opCode)` Tests whether the result geometry is consistent
`void` `checkAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsistentPolygonRingChecker

    public ConsistentPolygonRingChecker(PlanarGraph graph)

Method Detail

### checkAll

    public void checkAll()

### check

    public void check(int opCode)

  Tests whether the result geometry is consistent

  Throws:
    `TopologyException` - if inconsistent topology is found

JTS Topology Suite version 1.13